"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LabelTextInput = void 0;
const react_1 = __importDefault(require("react"));
const LabelTextInput = (labelTextInputProps) => {
    return labelTextInputProps.className ? (react_1.default.createElement("div", { className: labelTextInputProps.componentClassName },
        react_1.default.createElement("label", { htmlFor: "email", className: "block text-sm font-medium leading-6 text-gray-900" }, labelTextInputProps.labelText),
        react_1.default.createElement("div", { className: "mt-2" },
            react_1.default.createElement("input", { id: labelTextInputProps.inputId, name: labelTextInputProps.inputName, type: labelTextInputProps.inputType, autoComplete: "email", placeholder: labelTextInputProps.inputPlaceholder, required: labelTextInputProps.isRequired ? true : false, className: `block w-full rounded-md border-0 py-1.5 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 focus:ring-2 focus:ring-inset focus:ring-indigo-600 sm:text-sm sm:leading-6 ${labelTextInputProps.className}` })))) : (react_1.default.createElement("div", { className: labelTextInputProps.componentClassName },
        react_1.default.createElement("label", { htmlFor: "email", className: "block text-sm font-medium leading-6 text-gray-900" }, labelTextInputProps.labelText),
        react_1.default.createElement("div", { className: "mt-2" },
            react_1.default.createElement("input", { id: labelTextInputProps.inputId, name: labelTextInputProps.inputName, type: labelTextInputProps.inputType, autoComplete: "email", placeholder: labelTextInputProps.inputPlaceholder, required: labelTextInputProps.isRequired ? true : false, className: `block w-full rounded-md border-0 py-1.5 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 focus:ring-2 focus:ring-inset focus:ring-indigo-600 sm:text-sm sm:leading-6` }))));
};
exports.LabelTextInput = LabelTextInput;
//# sourceMappingURL=LabelTextInput.js.map