import React from 'react';
export const LabelTextInput = (labelTextInputProps) => {
    return labelTextInputProps.className ? (React.createElement("div", { className: labelTextInputProps.componentClassName },
        React.createElement("label", { htmlFor: "email", className: "block text-sm font-medium leading-6 text-gray-900" }, labelTextInputProps.labelText),
        React.createElement("div", { className: "mt-2" },
            React.createElement("input", { id: labelTextInputProps.inputId, name: labelTextInputProps.inputName, type: labelTextInputProps.inputType, autoComplete: "email", placeholder: labelTextInputProps.inputPlaceholder, required: labelTextInputProps.isRequired ? true : false, className: `block w-full rounded-md border-0 py-1.5 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 focus:ring-2 focus:ring-inset focus:ring-indigo-600 sm:text-sm sm:leading-6 ${labelTextInputProps.className}` })))) : (React.createElement("div", { className: labelTextInputProps.componentClassName },
        React.createElement("label", { htmlFor: "email", className: "block text-sm font-medium leading-6 text-gray-900" }, labelTextInputProps.labelText),
        React.createElement("div", { className: "mt-2" },
            React.createElement("input", { id: labelTextInputProps.inputId, name: labelTextInputProps.inputName, type: labelTextInputProps.inputType, autoComplete: "email", placeholder: labelTextInputProps.inputPlaceholder, required: labelTextInputProps.isRequired ? true : false, className: `block w-full rounded-md border-0 py-1.5 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 focus:ring-2 focus:ring-inset focus:ring-indigo-600 sm:text-sm sm:leading-6` }))));
};
//# sourceMappingURL=LabelTextInput.js.map